<?php

namespace App\Entities\Part;

use App\Models\Part\CSModel;

class CSEntity extends PartType2Entity
{
    const PK = CSModel::PK;
    const TITLE = CSModel::TITLE;

    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
        $this->nullableFields = [
            ...$this->nullableFields,
            'clientinfo_uid',
            'serviceinfo_uid',
            'serverinfo_uid',
            'accountid',
            'domain',
        ];
    }
    //기본기능   
    final public function getClientInfoUid(): ?int
    {
        return $this->clientinfo_uid;
    }
    final public function getServiceInfoUid(): ?int
    {
        return $this->serviceinfo_uid;
    }
    final public function getServerInfoUid(): ?int
    {
        return $this->serverinfo_uid;
    }
    public function getIP(): string
    {
        return $this->ip;
    }
    //기본기능    
    public function getAccountID(): ?string
    {
        return $this->accountid;
    }
    public function getDomain(): ?string
    {
        return $this->domain;
    }
    //abstract 선언처리용
}
